package com.gau.go.launcherex.gowidget.weather.service;

import com.gau.go.launcherex.gowidget.weather.model.WeatherBean;

interface IRemoteServiceCallback {

	// 天气刷新的回调
	void onWeatherUpdateFinish(int result, in List<WeatherBean> beans);
	
	// 设置项改变时候的回调
	void onSettingChange(in String key, in String value);
	
	// 城市移位的回调
	void onCityOrderChange(in int fromIdx, in int toIdx);
	
	// 添加城市的回调
	void onAddCity(in WeatherBean city);
	
	// 删除城市的回调
	void onDeleteCity(in List<String> cityIds);

	// 定位城市完毕的回调
	void onLocationCity(in WeatherBean city);
	
	// 付费状态改变的回调
	void onBillingStatusChange(boolean isPayed);
	
	// 新主题小星星的回调
	void onNewTheme(boolean isShow);
}